diff --git a/include/FLAC/ordinals.h b/include/FLAC/ordinals.h
index 75b830d..243c71f 100644
--- a/include/FLAC/ordinals.h
+++ b/include/FLAC/ordinals.h
@@ -33,25 +33,6 @@
 #ifndef FLAC__ORDINALS_H
 #define FLAC__ORDINALS_H
 
-#if defined(_MSC_VER) && _MSC_VER < 1600
-
-/* Microsoft Visual Studio earlier than the 2010 version did not provide
- * the 1999 ISO C Standard header file <stdint.h>.
- */
-
-typedef signed __int8 FLAC__int8;
-typedef signed __int16 FLAC__int16;
-typedef signed __int32 FLAC__int32;
-typedef signed __int64 FLAC__int64;
-typedef unsigned __int8 FLAC__uint8;
-typedef unsigned __int16 FLAC__uint16;
-typedef unsigned __int32 FLAC__uint32;
-typedef unsigned __int64 FLAC__uint64;
-
-#else
-
-/* For MSVC 2010 and everything else which provides <stdint.h>. */
-
 #include <stdint.h>
 
 typedef int8_t FLAC__int8;
@@ -64,8 +45,6 @@ typedef uint16_t FLAC__uint16;
 typedef uint32_t FLAC__uint32;
 typedef uint64_t FLAC__uint64;
 
-#endif
-
 typedef int FLAC__bool;
 
 typedef FLAC__uint8 FLAC__byte;
diff --git a/include/share/compat.h b/include/share/compat.h
index 491b5cb..9b305e0 100644
--- a/include/share/compat.h
+++ b/include/share/compat.h
@@ -119,22 +119,13 @@
 #if defined _MSC_VER
 #  if _MSC_VER >= 1800
 #    include <inttypes.h>
-#  elif _MSC_VER >= 1600
-/* Visual Studio 2010 has decent C99 support */
+#  else
 #    include <stdint.h>
 #    define PRIu64 "llu"
 #    define PRId64 "lld"
 #    define PRIx64 "llx"
-#  else
-#    include <limits.h>
-#    ifndef UINT32_MAX
-#      define UINT32_MAX _UI32_MAX
-#    endif
-#    define PRIu64 "I64u"
-#    define PRId64 "I64d"
-#    define PRIx64 "I64x"
 #  endif
-#endif /* defined _MSC_VER */
+#endif
 
 #ifdef _WIN32
 /* All char* strings are in UTF-8 format. Added to support Unicode files on Windows */
diff --git a/src/libFLAC/include/private/cpu.h b/src/libFLAC/include/private/cpu.h
index 3fe279b..c1f80f4 100644
--- a/src/libFLAC/include/private/cpu.h
+++ b/src/libFLAC/include/private/cpu.h
@@ -80,10 +80,8 @@
   #define FLAC__SSE_TARGET(x)
   #define FLAC__SSE_SUPPORTED 1
   #define FLAC__SSE2_SUPPORTED 1
-  #if (_MSC_VER >= 1500) /* MS Visual Studio 2008 */
-    #define FLAC__SSSE3_SUPPORTED 1
-    #define FLAC__SSE4_1_SUPPORTED 1
-  #endif
+  #define FLAC__SSSE3_SUPPORTED 1
+  #define FLAC__SSE4_1_SUPPORTED 1
   #if (_MSC_FULL_VER >= 160040219) /* MS Visual Studio 2010 SP1 */
     #define FLAC__AVX_SUPPORTED 1
   #endif
